# npe [![Build Status](https://travis-ci.org/zeke/npe.png?branch=master)](https://travis-ci.org/zeke/npe)

Node Package Editor: a CLI for one-off inspection and editing of properties in package.json files.

## Installation

Download node at [nodejs.org](http://nodejs.org) and install it, if you haven't already.

```sh
npm install npe --global
```

## Usage

```sh
cd some/node/project

# Get stuff from package.json
npe name
npe scripts
npe scripts.test
npe repository.url
open $(npe repository.url)

# Set stuff in package.json
npe name foo
npe scripts.start "node index.js"

# Keywords string will be turned into an array
# If commas are present, they'll be the delimiter. Otherwise spaces.
npm keywords "foo, bar, cheese whiz"
npm keywords "foo bar baz"

# The current working directory's package.json is used by default,
# but you can point to another package file with a flag:
npe name --package=some/other/package.json
npe name other --package=some/other/package.json

```

## Tests

```sh
npm install
npm test
```

## Dependencies

- [merge](https://github.com/yeikos/js.merge): JavaScript/NodeJS Merge is a tool to merge multiple objects into one object, with the possibility of create a new object cloned. His operation is very similar to the jQuery.extend function but more flexible.
- [minimist](https://github.com/substack/minimist): parse argument options
- [steeltoe](https://github.com/jclem/steeltoe): Don&#39;t shoot yourself in the foot while traversing JavaScript objects.


## Dev Dependencies

- [mocha](https://github.com/visionmedia/mocha): simple, flexible, fun test framework
- [nixt](https://github.com/vesln/nixt): Simple and powerful testing for command-line apps
- [tmp](https://github.com/raszi/node-tmp): Temporary file and directory creator


## License

MIT

## Colophon

- Homepage: https://github.com/zeke/npe
- Author: zeke
- README generated by
[package-json-to-readme](https://github.com/zeke/package-json-to-readme)
